Note: Most dialogs will inherit from SuiDialogAdapter, not SuiDialogBase. You will only want to inherit from SuiDialogBase under 2 conditions:

1. the dialog is triviailly simple, like an alert box that makes no changes to the score, or
2. the dialog is extremely complicated in how it interacts with the user, such that a form-based approach won't work

### Hierarchy

- SuiDialogNotifier
  - SuiDialogBase
    - SuiDialogAdapterBase
    - SuiInsertMeasures
    - SuiChordChangeDialog

## Index

### Constructors

- constructor

### Properties

- dgDom

### Methods

- changed
- getEventSource
- getId
- getModifier
- getStaticText
- getView

## Constructors

### constructor

- new SuiDialogBase(dialogElements: DialogDefinition, parameters: SuiDialogParams): SuiDialogBase

- Overrides SuiDialogNotifier.constructor

  - Defined in src/ui/dialogs/dialog.ts:185

  #### Parameters

  - ##### dialogElements: DialogDefinition

  - ##### parameters: SuiDialogParams

  #### Returns SuiDialogBase

## Properties

### dgDom

dgDom: DialogDom

Overrides SuiDialogNotifier.dgDom

- Defined in src/ui/dialogs/dialog.ts:180

## Methods

### changed

- changed(): void

- Overrides SuiDialogNotifier.changed

  - Defined in src/ui/dialogs/dialog.ts:267

  Called by the component when the state is changed. Dialog will then query the component (getValue()) and set the correct score value.

  #### Returns void

### getEventSource

- getEventSource(): BrowserEventSource

- Overrides SuiDialogNotifier.getEventSource

  - Defined in src/ui/dialogs/dialog.ts:283

  Used by text editing components that are also event sinks

  #### Returns BrowserEventSource

### getId

- getId(): string

- Overrides SuiDialogNotifier.getId

  - Defined in src/ui/dialogs/dialog.ts:277

  returns the DOM id of the dialog.

  #### Returns string

### getModifier

- getModifier(): null | SmoModifier

- Overrides SuiDialogNotifier.getModifier

  - Defined in src/ui/dialogs/dialog.ts:280

  gets the 'modifier' from parent dialog, used by text editors. Most components won't need this.

  #### Returns null | SmoModifier

### getStaticText

- getStaticText(): Record<string, string>

- Overrides SuiDialogNotifier.getStaticText

  - Defined in src/ui/dialogs/dialog.ts:286

  Gets the static text <string, string> for the current language. this is used by components that have different text labels for different states.

  #### Returns Record<string, string>

### getView

- getView(): SuiScoreViewOperations

- Overrides SuiDialogNotifier.getView

  - Defined in src/ui/dialogs/dialog.ts:325

  gets the view from the parent

  #### Returns SuiScoreViewOperations

Generated using TypeDoc